package com.uas.eis.entity;

/**
 * Created by xiaost 2022-08-17
 * MES对接写号定义类型与代码
 */
public enum HelperType {
    CheckRoutePassed("CheckRoutePassed","检测岗位资源是否正确") , //检测岗位资源是否正确
    CheckUserAndResourcePassed("CheckUserAndResourcePassed","验证序列号执行工序") , //验证序列号执行工序
    GetAddressRangeByMO("GetAddressRangeByMO","分配MAC和BT信息") ,//分配MAC和BT信息
    GetMEIOrNetCodeRange("GetMEIOrNetCodeRange","分配IMEI和NetCode信息") ,//分配IMEI和NetCode信息
    GetRcardMOInfo("GetRcardMOInfo","获取序列号对应工单信息") ,//获取序列号对应工单信息
    GetMobileAllInfo("GetMobileAllInfo","查询已分配的信息") ,//查询已分配的信息
    SetAddressInfo("SetAddressInfo","写入SN的Wifi,BT信息") ,//写入SN的Wifi,BT信息
    GetMaster("GetMaster","获取账套信息") ,//获取账套信息
    SetMobileData("SetMobileData","设置测试结果，结果必须为NG或者OK") ,//设置测试结果，结果必须为NG或者OK
    SetIMEIInfo("SetIMEIInfo","设置IMEI信息") ,//设置IMEI信息
    SetTestDetail("SetTestDetail","设置测试结果") ,//设置测试结果
    SetPcbaData("SetPcbaData","检测XXX") ,//设置测试结果
    GoMo("GoMo","检测XXX") ,//序列号归属工单
    GetInfoByMaterial("GetInfoByMaterial","根据上料信息获取到SN相关信息"),
    GetMakeInfoBySN("GetMakeInfoBySN","根据SN获取工单相关信息"),
    SetBpMaterial("SetBpMaterial","自动线摆盘物料上到SN");

    private String code;
    private String name;

    HelperType(String  code, String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据code 获取 类型
     * @param code
     * @return
     */
    public static HelperType getTypeByCode(String code){
        for (HelperType helperType:values()) {
            if (helperType.getCode().equals(code)) {
                return helperType;
            }
        }
        return null;
    }

}
